> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ecrypt.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Transactions

> Get a list of `ACTIVE` customers from your vault.  The default sort order is `CREATED DATE DESCENDING`.



## OpenAPI

````yaml https://cdn.ecrypt.dev/swagger/gateway-swagger-v25.json get /v1/transactions
openapi: 3.0.4
info:
  title: Ecrypt.Gateway.Api
  description: Ecrypt API
  contact:
    name: Ecrypt
    url: https://www.ecrypt.com/
    email: Engineering@Ecrypt.com
  version: 1.0.0.0
servers: []
security: []
paths:
  /v1/transactions:
    get:
      tags:
        - Transactions
      summary: List Transactions
      description: >-
        Get a list of `ACTIVE` customers from your vault.  The default sort
        order is `CREATED DATE DESCENDING`.
      parameters:
        - name: Page
          in: query
          description: "Page of results being requested.\r\n\r\nDefault: 1"
          schema:
            maximum: 2147483647
            minimum: 1
            type: integer
            format: int32
            example: 1
          example: 1
        - name: Size
          in: query
          description: "Size of the page of results being requested.\r\n\r\nDefault: 100"
          schema:
            maximum: 100
            minimum: 1
            type: integer
            format: int32
            example: 100
          example: 100
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Ecrypt.Gateway.Api.Core.Model.TransactionDtoPaginationResponse
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Ecrypt.Gateway.Api.Core.Model.BadRequest'
        '429':
          description: Too Many Requests
components:
  schemas:
    Ecrypt.Gateway.Api.Core.Model.TransactionDtoPaginationResponse:
      type: object
      properties:
        pagination:
          $ref: '#/components/schemas/Ecrypt.Gateway.Api.Core.Model.Pagination'
        items:
          type: array
          items:
            $ref: >-
              #/components/schemas/Ecrypt.Gateway.Api.Core.Model.WebAPI.Transactions.TransactionDto
          nullable: true
      additionalProperties: false
    Ecrypt.Gateway.Api.Core.Model.BadRequest:
      required:
        - requestId
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/Ecrypt.Gateway.Api.Core.Model.BadRequestError'
          nullable: true
        request_id:
          maxLength: 100
          minLength: 1
          type: string
          default: '000000000000000000000'
      additionalProperties: false
    Ecrypt.Gateway.Api.Core.Model.Pagination:
      type: object
      properties:
        total_records:
          type: integer
          description: Total number of records.
          format: int32
        current_page:
          type: integer
          description: Current page number.
          format: int32
        total_pages:
          type: integer
          description: Total number of pages.
          format: int32
        page_size:
          type: integer
          format: int32
      additionalProperties: false
      description: ''
    Ecrypt.Gateway.Api.Core.Model.WebAPI.Transactions.TransactionDto:
      type: object
      properties:
        transaction_id:
          type: integer
          format: int64
        type:
          type: string
          nullable: true
        tender:
          type: string
          nullable: true
        payment_name:
          type: string
          nullable: true
        payment_network:
          type: string
          nullable: true
        payment_account:
          type: string
          nullable: true
        payment_account_expiry:
          type: string
          nullable: true
        amount:
          type: number
          format: double
        authorization_amount:
          type: number
          format: double
          nullable: true
        captured_amount:
          type: number
          format: double
          nullable: true
        gratuity_amount:
          type: number
          format: double
          nullable: true
        surcharge_amount:
          type: number
          format: double
          nullable: true
        settlement_amount:
          type: number
          format: double
          nullable: true
        voided_amount:
          type: number
          format: double
          nullable: true
        reference_transaction_id:
          type: number
          format: double
          nullable: true
        approval_code:
          type: string
          nullable: true
        avs_code:
          type: string
          nullable: true
        cvv_code:
          type: string
          nullable: true
        enhanced:
          type: boolean
          nullable: true
        status:
          type: string
          nullable: true
        created:
          type: string
          description: Create date time represented in UTC.
          format: date-time
        events:
          type: array
          items:
            $ref: >-
              #/components/schemas/Ecrypt.Gateway.Api.Core.Model.WebAPI.Transactions.TransactionEventDto
          nullable: true
      additionalProperties: false
    Ecrypt.Gateway.Api.Core.Model.BadRequestError:
      type: object
      properties:
        type:
          type: string
          nullable: true
        message:
          nullable: true
      additionalProperties: false
    Ecrypt.Gateway.Api.Core.Model.WebAPI.Transactions.TransactionEventDto:
      type: object
      properties:
        type:
          type: string
          nullable: true
        code:
          type: string
          nullable: true
        text:
          type: string
          nullable: true
        created:
          type: string
          format: date-time
      additionalProperties: false

````